/***********************************************************************
*    UnicodeEmojiCategoryInfo
*
* [File]
*     UnicodeEmojiCategoryInfo.java
*
*     Copyright (C) 2014 OMRON SOFTWARE Co., Ltd.  All Rights Reserved.
*
* [Description]
*     XXXXXX
************************************************************************/
package com.emojisampleapplication;

import java.util.ArrayList;
import java.util.List;

public class UnicodeEmojiCategoryInfo {

    /** カテゴリID*/
    private int mCategoryId;
    /** カテゴリ名*/
    private String mCategoryName;
    /** 絵文字コードリスト */
    private List<String> mEmojiCodeList;

    /**
     * コンストラクタ
     */
    public UnicodeEmojiCategoryInfo() {
        setmEmojiCodeList(new ArrayList<String>());
    }

    /**
     * @param カテゴリID
     */
    public void setCategoryId(int categoryId) {
        mCategoryId = categoryId;
    }

    /**
     * @return カテゴリID
     */
    public int getCategoryId() {
        return mCategoryId;
    }

    /**
     * @param カテゴリリスト
     */
    public void setmEmojiCodeList(List<String> emojiCodeList) {
        this.mEmojiCodeList = emojiCodeList;
    }

    /**
     * @return カテゴリリスト
     */
    public List<String> getmEmojiCodeList() {
        return mEmojiCodeList;
    }

    /**
     * @param カテゴリ名
     */
    public void setCategoryName(String categoryName) {
        this.mCategoryName = categoryName;
    }

    /**
     * @return カテゴリ名
     */
    public String getCategoryName() {
        return mCategoryName;
    }
}
